import { Component } from '@angular/core';
import { ProductService } from '../../product.service';
import { FormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-editproduct',
  standalone: true,
  imports: [FormsModule,CommonModule],
  templateUrl: './editproduct.component.html',
  styleUrl: './editproduct.component.css'
})
export class EditproductComponent {


   //server?: {id: number, name: string, status: string};
   product:any={};
   productName = '';
   productStatus = '';
 
   constructor(private prdService: ProductService) { }
 
   ngOnInit() {
     this.product = this.prdService.getProduct(1);
     this.productName = this.product.name;
     this.productStatus = this.product.status;
   }
 
   onUpdateProduct() {
     this.prdService.updateProduct(this.product.id, {name: this.productName, status: this.productStatus});
   }

}
